--
-- Patch DML de GRHUM du 23/04/2013 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 1/7
-- Type : DML
-- Schema : GRHUM
-- Numero de version : 0.2.0.0
-- Date de publication : 23/04/2013
-- Auteur(s) : Cocktail
-- Licence : CeCILL version 2
--
--

WHENEVER SQLERROR EXIT SQL.SQLCODE;

DECLARE
    compteur NUMBER;
BEGIN
	SELECT COUNT(*) INTO compteur FROM GRHUM.ASSOCIATION WHERE ASS_CODE = 'REPARTITEUR';
	IF (compteur = 0) THEN
		--
		-- ASSOCIATION
		--
		INSERT INTO GRHUM.ASSOCIATION (ASS_ID, ASS_LIBELLE, TAS_ID, ASS_CODE, D_OUVERTURE)
		     VALUES (ASSOCIATION_SEQ.NEXTVAL, 'RÉPARTITEUR', 1, 'REPARTITEUR', TO_DATE('21/06/2012', 'DD/MM/YYYY'));
        
		--
		-- ASSOCIATION_RESEAU
		--
		INSERT INTO GRHUM.ASSOCIATION_RESEAU (ASR_ID, ASS_ID_PERE, ASS_ID_FILS, ASR_RANG, ASR_COMMENTAIRE, D_CREATION, D_MODIFICATION)
		     SELECT ASSOCIATION_RESEAU_SEQ.NEXTVAL, A1.ASS_ID, A2.ASS_ID, NULL, NULL, SYSDATE, SYSDATE
		       FROM ASSOCIATION A1, ASSOCIATION A2
		      WHERE A1.ASS_CODE = 'FONCTION ADM' AND A2.ASS_CODE = 'REPARTITEUR';
	END IF;

	COMMIT;
END;
/
